<?php
/*
Plugin Name: SmartMailer
Plugin URI: https://smartmailer.cz
Description: Modul slouží pro napojení na službu SmartMailer.cz a je k dispozici zdarma. Nepotřebuje k fungování žádný cron, kontakty se automaticky přenáší při "vzniku". Například, pokud napíše někdo komentář na blogu, vytvoří objednávku ve WooCommerce aj.
Kontakty se nepřenáší zpětně, ale pouze od doby, kdy jste modul nastavili.
Author: SmartMailer
Version: 1.1.1
Author URI: https://smartmailer.cz
*/

ob_start();

if (!defined('ABSPATH')) {
    exit;
}

if (PHP_SAPI === 'cli') {
    return;
}

if (!defined('SM_PLUGIN_FILE')) {
    define('SM_PLUGIN_FILE', __FILE__);
}

define('SMARTMAILER_ROOT_DIR', __DIR__);
define('SMARTMAILER_ASSETS_DIR_URL', plugins_url('/assets', __FILE__));
define('SMARTMAILER_CACHE_DIR', __DIR__ . '/cache');

require_once __DIR__ . '/vendor/autoload.php';
require_once __DIR__ . '/src/SmartMailer.php';

new SmartMailer();

add_action('admin_notices', 'write_notices');

ob_flush();
