<?php

// Create plugin settings link
add_filter(
	'plugin_action_links_smartmailer/smartmailer.php',
	function ( $links ) {
		$url           = esc_url(
			add_query_arg(
				'page',
				'smartmailer-settings',
				get_admin_url() . 'admin.php'
			)
		);
		$settings_link = "<a href='$url'>" . __( 'Settings' ) . '</a>';
		array_unshift( $links, $settings_link );

		return $links;
	}
);
