<?php

add_action(
	'admin_menu',
	function () {
		add_menu_page( 'SmartMailer', __( 'SmartMailer', 'smartmailer' ), 'manage_options', 'smartmailer-settings', 'smartmailer_settings_page' );
		add_submenu_page( 'smartmailer-settings', __( 'Nastavení', 'smartmailer' ), __( 'Nastavení', 'smartmailer' ), 'manage_options', 'smartmailer-settings', 'smartmailer_settings_page' );

		if ( SmartMailerFunctions::isContactForm7Active() ) {
			add_submenu_page( 'smartmailer-settings', __( 'Contact Form 7', 'smartmailer' ), __( 'Contact Form 7', 'smartmailer' ), 'manage_options', 'smartmailer-cf7-settings', 'smartmailer_cf7_settings_page' );
		}
		if ( SmartMailerFunctions::isWPFormsActive() ) {
			add_submenu_page( 'smartmailer-settings', __( 'WPForms nastavení', 'smartmailer' ), __( 'WPForms', 'smartmailer' ), 'manage_options', 'smartmailer-wpf-settings', 'smartmailer_wpf_settings_page' );
		}
	}
);
